
#property indicator_chart_window
#property indicator_plots   0


input int    font_size = 10;
input color  ColorBull = clrDodgerBlue;
input color  ColorBeer = clrRed;
input string font_name = "Arial";
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
                {  
   double k=(ChartGetDouble(0,CHART_PRICE_MAX,0)-ChartGetDouble(0,CHART_PRICE_MIN,0))/20;
   for(int i=(int)ChartGetInteger(0,CHART_FIRST_VISIBLE_BAR,0); i>=0; i--)
   {
      double rs = (iOpen(_Symbol,_Period,i)-iClose(_Symbol,_Period,i))/_Point;
      if (rs<0) drawtext(i, iHigh(_Symbol,_Period,i), DoubleToString(rs*(-1),0), ColorBull,ANCHOR_LEFT);
      if (rs>0) drawtext(i, iLow(_Symbol,_Period,i), DoubleToString(rs,0), ColorBeer,ANCHOR_RIGHT);
   }
//----
   return(rates_total);
}
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
{
   ObjectsDeleteAll(0,0,OBJ_TEXT); 
}
//+------------------------------------------------------------------+
void drawtext(int n, double Y1, string l,color c, int anch)
{
   string Name=TimeToString(iTime(_Symbol,_Period,n),TIME_DATE|TIME_MINUTES);
   ObjectDelete (ChartID(),Name);
   ObjectCreate (ChartID(),Name,OBJ_TEXT,0,0,0);
   ObjectSetDouble(ChartID(),Name,OBJPROP_PRICE,0,Y1);
   ObjectSetInteger(ChartID(),Name,OBJPROP_TIME,0,iTime(_Symbol,_Period,n));
   ObjectSetString(ChartID(),Name,OBJPROP_TEXT,l);
   ObjectSetString(ChartID(),Name,OBJPROP_FONT,font_name);
   ObjectSetInteger(ChartID(),Name,OBJPROP_FONTSIZE,font_size);
   ObjectSetInteger(ChartID(),Name,OBJPROP_COLOR,c);
   ObjectSetDouble(ChartID(),Name,OBJPROP_ANGLE,90);
   ObjectSetInteger(ChartID(),Name,OBJPROP_ANCHOR,anch);
}
//+------------------------------------------------------------------+

